# Varbase Webform Base

The **Varbase Webform Base** recipe provides default webform modules, configurations, and permissions for building and managing forms on Varbase sites.

## Drupal.org Project

<https://www.drupal.org/project/varbase_webform_base>

## Included Modules

Brings in the following core and contributed modules to your site:

| Module                                                                        | Purpose                                                             |
| ----------------------------------------------------------------------------- | ------------------------------------------------------------------- |
| [**Webform**](https://www.drupal.org/project/webform)                         | Enables the creation of webforms and questionnaires.                |
| [**Webform Templates**](https://www.drupal.org/project/webform)               | Provides starter templates that can be used to create new webforms. |
| [**Webform UI**](https://www.drupal.org/project/webform)                      | Provides a user interface for building and maintaining webforms.    |
| [**Webform Views Integration**](https://www.drupal.org/project/webform_views) | Webform integration with views.                                     |
| [**ECA Webform**](https://www.drupal.org/project/eca_webform)                 | Integrate ECA with the Webform module and its plugins.              |

## Installation

Apply the recipe using Drush:

```bash
ddev drush recipe ../recipes/varbase_webform_base
```

This recipe is automatically applied when using the Varbase Starter recipe.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/developers/understanding-varbase/varbase-recipes/varbase-webform-base.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
